## obs-service-source-validator 0.6+git20170809.6818366

=== Makefile ===
PRJ=openSUSE:Tools
PKG=obs-service-source_validator

prefix = /usr

servicedir = ${prefix}/lib/obs/service

all:

install:
	install -d $(DESTDIR)$(servicedir)
	install -m 0755 source_validator $(DESTDIR)$(servicedir)
	install -m 0644 source_validator.service $(DESTDIR)$(servicedir)
	install -d $(DESTDIR)$(servicedir)/source_validators
	install -m 0755 [0-9]* $(DESTDIR)$(servicedir)/source_validators
	install -d $(DESTDIR)$(servicedir)/source_validators/helpers
	install -m 0755 helpers/* $(DESTDIR)$(servicedir)/source_validators/helpers

package:
	@if test -d $(PKG); then cd $(PKG) && osc up && cd -; else osc co -c $(PRJ) $(PKG); fi
	@./mkchanges | tee $(PKG)/.changes
	@test ! -s $(PKG)/.changes || git push
	@test -z "`git rev-list remotes/origin/master..master`" || { echo "unpushed changes"; exit 1; }
	@f=(*bz2); test -z "$f" || /bin/rm -vi *.bz2
	@./mktar
	@mv *bz2 $(PKG)

.PHONY: all install package

## obs-service-source-validator 0.0

=== debian/control ===
Source: obs-service-source-validator
Maintainer: Hib Eris <hib@hiberis.nl>
Section: devel
Priority: extra
Build-Depends: debhelper (>= 7), obs-build
Standards-Version: 3.9.6
Homepage: https://github.com/openSUSE/obs-service-source_validator

Package: obs-service-source-validator
Architecture: all
Depends: build | obs-build
Description: An OBS source service: running all the osc source-validator checks
 This is a source service for openSUSE Build Service.
 .
 This service runs all checks as required by openSUSE:Factory project. This can be used
 to guarantee that all checks succeed also on the service side. This plugin can be
 used via project wide defined services.

## obs-service-source-validator 0.42%2B2

=== Makefile ===
--- 
+++ 
@@ -25,4 +25,18 @@
 	@./mktar
 	@mv *bz2 $(PKG)
 
-.PHONY: all install package
+test:
+	./helpers/spec_query --no-conditionals --keep-name-conditionals --disambiguate-sources --specfile t/data/github_issue_64.spec
+	./helpers/spec_query --no-conditionals --keep-name-conditionals --disambiguate-sources --specfile t/data/python-libmount.spec
+	./helpers/spec_query --no-conditionals --keep-name-conditionals --disambiguate-sources --specfile t/data/util-linux.spec
+	./helpers/spec_query --no-conditionals --keep-name-conditionals --disambiguate-sources --specfile t/data/util-linux-systemd.spec
+	./helpers/spec_query --no-conditionals --keep-name-conditionals --disambiguate-sources --specfile t/data/coreutils-testsuite.spec
+	./helpers/spec_query --no-conditionals --keep-name-conditionals --disambiguate-sources --specfile t/data/coreutils.spec
+	./helpers/spec_query --no-conditionals --keep-name-conditionals --disambiguate-sources --specfile t/data/continue-line.spec
+	./helpers/spec_query --no-conditionals --keep-name-conditionals --disambiguate-sources --specfile t/data/cross-aarch64-gcc7.spec
+	./helpers/spec_query --no-conditionals --keep-name-conditionals --disambiguate-sources --specfile t/data/glibc.spec
+	./helpers/spec_query --no-conditionals --keep-name-conditionals --disambiguate-sources --specfile t/data/glibc.spec --buildflavor testsuite
+	./20-files-present-and-referenced t/data/x2d/
+
+
+.PHONY: all install package test
